package com.ssj.bean.sys.push.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

@Entity
@Table(name = "scon_xinge")
public class SconXinge extends BaseEntity {
	private static final long serialVersionUID = 1L;
	
	private String pushUserId; //推送的目标用户id,如果是小塾则是贝壳号
	private String androidToken; //信鸽token 安卓端
	private String iosToken; //信鸽token ios端
	private int homeworkRemind = 0; //0:作业提醒开启 1:作业提醒关闭
	private int problemRemind = 0;//0:难题提醒开启 1:难题提醒关闭
	private int lessonRemind = 0; //0:一对一提醒开启 1:一对一提醒关闭
	private int otherRemind = 0; //0:其他提醒开启 1:其他提醒关闭
    private int eyeCareTime = 60; //家长端需要 护眼设置（分钟）:60:（一小时） 30:(半小时) 15:(十五分钟)
	private int platformType;//1:贝壳端 2:家长端 3:学生端 4:老师端 5:校长端
    private int isRemind = 1; //老师端需要 0:不接收消息推送 1：接收消息推送
	private Date  createTime;//创建时间
	
	@Column(name = "push_user_id")
    public String getPushUserId() {
		return pushUserId;
	}

	public void setPushUserId(String pushUserId) {
		this.pushUserId = pushUserId;
	}
	
	@Column(name = "android_token")
	public String getAndroidToken() {
		return androidToken;
	}

	public void setAndroidToken(String androidToken) {
		this.androidToken = androidToken;
	}

	@Column(name = "ios_token")
	public String getIosToken() {
		return iosToken;
	}

	public void setIosToken(String iosToken) {
		this.iosToken = iosToken;
	}

	@Column(name = "homework_remind")
	public int getHomeworkRemind() {
		return homeworkRemind;
	}

	public void setHomeworkRemind(int homeworkRemind) {
		this.homeworkRemind = homeworkRemind;
	}

	@Column(name = "problem_remind")
	public int getProblemRemind() {
		return problemRemind;
	}

	public void setProblemRemind(int problemRemind) {
		this.problemRemind = problemRemind;
	}

	@Column(name = "lesson_remind")
	public int getLessonRemind() {
		return lessonRemind;
	}

	public void setLessonRemind(int lessonRemind) {
		this.lessonRemind = lessonRemind;
	}

	@Column(name = "other_remind")
	public int getOtherRemind() {
		return otherRemind;
	}

	public void setOtherRemind(int otherRemind) {
		this.otherRemind = otherRemind;
	}

    @Column(name = "eye_care_time")
    public int getEyeCareTime() {
        return eyeCareTime;
    }

    public void setEyeCareTime(int eyeCareTime) {
        this.eyeCareTime = eyeCareTime;
    }

    @Column(name = "platform_type")
	public int getPlatformType() {
		return platformType;
	}

	public void setPlatformType(int platformType) {
		this.platformType = platformType;
	}

    @Column(name = "is_remind")
    public int getIsRemind() {
        return isRemind;
    }

    public void setIsRemind(int isRemind) {
        this.isRemind = isRemind;
    }

    @Column(name = "create_time")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
